# Interface ImaClientSideIntegration

interface ImaClientSideIntegration {
adDisplayContainer(): null | AdDisplayContainer;
adMacroReplacement(url): string;
adRequest(adRequestUrl): void;
adsLoader(): null | AdsLoader;
adsManager(): null | AdsManager;
currentAd(): null | Ad;
isVpaid(): boolean;
setAdsRenderingSettings(adsRenderingSettings): void;
}

#####
Index

### Methods

adDisplayContainer
adMacroReplacement
adRequest
adsLoader
adsManager
currentAd
isVpaid
setAdsRenderingSettings

## Methods

### adDisplayContainer

- adDisplayContainer(): null | AdDisplayContainer

- Get the active AdDisplayContainer instance

  #### Returns null | AdDisplayContainer

### adMacroReplacement

- adMacroReplacement(url): string

- Replace macro variables in a provided url. For list of supported macros, please see: https://player.support.brightcove.com/plugins/advertising-ima3-plugin.html#Ad_macros_and_the_serverUrl

  #### Parameters

  - url: string

  #### Returns string

### adRequest

- adRequest(adRequestUrl): void

- Request an ad

  #### Parameters

  - adRequestUrl: string

  #### Returns void

### adsLoader

- adsLoader(): null | AdsLoader

- Get the active AdsLoader instance

  #### Returns null | AdsLoader

### adsManager

- adsManager(): null | AdsManager

- Get the active AdsManager instance

  #### Returns null | AdsManager

### currentAd

- currentAd(): null | Ad

- Get the active Ad instance

  #### Returns null | Ad

### isVpaid

- isVpaid(): boolean

- Get whether the current ad is a VPAID ad

  #### Returns boolean

### setAdsRenderingSettings

- setAdsRenderingSettings(adsRenderingSettings): void

- Set various parameters that control the rendering of ads.

  #### Parameters

  - adsRenderingSettings: AdsRenderingSettings

  #### Returns void